import { get } from 'radash'
import { Activity, StudyTour } from '../core/libs/models'
import {
  getActivityStatus,
  getActivityStatusButtonText,
  getActivityStatusText,
} from '../core/utils/common'

/**
 * 游学活动
 */
export const useActivity = (options: Activity | StudyTour) => {
  const status = computed(() =>
    getActivityStatus(
      options?.applyStartTime || options?.planApplyStartTime,
      options?.applyEndTime || options?.planApplyEndTime,
    ),
  )
  return {
    getActivityStatusButtonText: () =>
      getActivityStatusButtonText(
        options?.applyStartTime || options?.planApplyStartTime,
        options?.applyEndTime || options?.planApplyEndTime,
      ),
    getActivityStatusText: () =>
      getActivityStatusText(
        options?.applyStartTime || options?.planApplyStartTime,
        options?.applyEndTime || options?.planApplyEndTime,
      ),
    status,
  }
}
